Bug 192683 - create new port security/fprintd
Summary: create new port security/fprintd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on: 188854
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-15 15:53 UTC by Martin Birgmeier
Modified: 2014-08-24 17:24 UTC (History)
3 users (show)

See Also:


Attachments
shar file of security/fprintd, as used in redports (11.32 KB, text/plain)
2014-08-15 16:17 UTC, Martin Birgmeier
no flags Details
fixed shar: USE_XZ -> tar:xz (11.31 KB, text/plain)
2014-08-15 18:47 UTC, Martin Birgmeier
no flags Details
shar: new pkg-plist without @dirrmtry (8.11 KB, text/plain)
2014-08-15 19:39 UTC, Martin Birgmeier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Birgmeier 2014-08-15 15:53:41 UTC
security/fprintd is a port of http://www.freedesktop.org/wiki/Software/fprint/fprintd/

Quoting from that page: "fprintd is a D-Bus daemon that offers libfprint functionality over the D-Bus interprocess communication bus. By adding this daemon layer above libfprint, we solve various problems related to multiple applications simulatenously competing for fingerprint readers."

The port is ready in redports: http://www.freshports.org/security/fprintd
Comment 1 Martin Birgmeier 2014-08-15 15:54:21 UTC
That was wrong; it is ready in https://redports.org/buildarchive/20140815111701-48039/
Comment 2 John Marino freebsd_committer 2014-08-15 16:09:23 UTC
Martin, you'll need to provide a shar as an attachment.  It should be easy to create, so just attach it.
Comment 3 Martin Birgmeier 2014-08-15 16:17:34 UTC
Created attachment 145829 [details]
shar file of security/fprintd, as used in redports
Comment 4 John Marino freebsd_committer 2014-08-15 16:37:04 UTC
this is outdated:
USE_XZ=yes
it's tar:xz now

And the redports link is showing "leftovers" ?
Comment 5 Martin Birgmeier 2014-08-15 18:47:04 UTC
Created attachment 145832 [details]
fixed shar: USE_XZ -> tar:xz

This is hard... a new shar with fixed xz is attached, however -

Regarding the "leftovers", I had looked at them and had concluded they were caused by the following:

=== Checking filesystem state
list of files present before this port was installed but missing after it was deinstalled)
./usr/local/share/dbus-1/interfaces missing

... and I had concluded that this is spurious and does not matter.

Does this mean that the various dirrmtrys have to be deleted from pkg-plist? And if yes, which ones? - I generated this quite a while ago when I initially created the port for me using some automatic FreeBSD tool from the porter's handbook, so I thought they are correct.

-- Martin
Comment 6 John Marino freebsd_committer 2014-08-15 19:25:45 UTC
with redports, sometimes issues in dependencies can cause leftovers I think.  If we still see leftovers in poudriere then it's a legitimate error.

If your port created this directory then it needs to try to remove it, however.  The question is: What port created it?
Comment 7 Martin Birgmeier 2014-08-15 19:39:44 UTC
Created attachment 145833 [details]
shar: new pkg-plist without @dirrmtry

I have now deleted all @dirrmtry entries because a) the latest 'make makeplist' does not generate them any more and b) it seems the directories actually belong to the standard /usr/local mtree.

The 'leftover' is gone: https://redports.org/buildarchive/20140815192000-41322/

-- Martin
Comment 8 John Marino freebsd_committer 2014-08-15 20:32:22 UTC
Great!

Next committer, note this depends on bug 188854 so consider taking that if it's still open.
Comment 9 John Marino freebsd_committer 2014-08-15 21:04:49 UTC
Lichray was correct:
XMAINTAINER=	ports@FreeBSD.org

That's not going to work, all new ports must come with maintainers, usually it is the person that opened the PR.

Are you going to be the maintainer, Martin?
Comment 10 Martin Birgmeier 2014-08-16 15:09:41 UTC
O.k. I'll maintain it. Do you need another patch, or will you change the maintainer yourself?

Another question to lichray@: fprintd is not particularly intelligent. Do you have a better authentication application? One that preferably also deduces the user name from the fingerprint, and also still allows to use the standard password dialog as an alternative? (Under Windows, my FP reader is always on whenever authentication is required, and it deduces the username by itself.)

-- Martin
Comment 11 John Marino freebsd_committer 2014-08-16 18:17:52 UTC
lichray is not in CC so he didn't get the question.

You don't have to submit a new shar, hopefully we'll remember to set you as maintainer.
Comment 12 commit-hook freebsd_committer 2014-08-24 17:24:16 UTC
A commit references this bug:

Author: adamw
Date: Sun Aug 24 17:24:04 UTC 2014
New revision: 365978
URL: http://svnweb.freebsd.org/changeset/ports/365978

Log:
  Add security/fprintd.

  Fprintd is a D-Bus daemon that offers libfprint functionality over
  the D-Bus interprocess communication bus. By adding this daemon
  layer above libfprint, we solve various problems related to multiple
  applications simulatenously competing for fingerprint readers.

  While it is not very nice to think of a daemon being necessary in
  this scenario, fprintd will be launched by D-Bus through the
  activation mechanism. This means it is launched only when needed,
  and additionally it will shut itself down after a period of inactivity.

  (Text copied from link below.)

  WWW: http://www.freedesktop.org/wiki/Software/fprint/fprintd/

  PR:		192683
  Submitted by:	Martin Birgmeier

Changes:
  head/security/Makefile
  head/security/fprintd/
  head/security/fprintd/Makefile
  head/security/fprintd/distinfo
  head/security/fprintd/files/
  head/security/fprintd/files/patch-pam-Makefile.in
  head/security/fprintd/files/patch-pam-pam_fprintd.c
  head/security/fprintd/files/patch-po-Makefile.in.in
  head/security/fprintd/pkg-descr
  head/security/fprintd/pkg-plist
Comment 13 Adam Weinberger freebsd_committer 2014-08-24 17:24:31 UTC
Committed. Good work on this port!